#include "MenuTextOk_Player1Joystick.h"

InputSetting_Joystick* MenuTextOk_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextOk_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_ok;
}

std::weak_ptr<Entity> MenuTextOk_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextOk_Player1Joystick()
{
	return std::make_shared<MenuTextOk_Player1Joystick>();
}


